Add()-método en pyautocad

colorful toothed wheels

En esta publicación de blog, voy a discutir uno de los métodos más importantes en pyautocad, es decir, Add(). Este método abre puertas para crear una serie de objetos basados ​​en documentos según el modelo de objetos de AutoCAD. Para obtener una documentación más completa sobre pyautocad, me refiero a mis otros ejemplos de pyautocad. En artículos anteriores cubrí el método Intersect() en pyautocad, así como objetos de imagen rasterizada de AutoCAD, objetos de malla 3D, eliminación de objetos con pyautocad, pyautocad para operaciones básicas de AutoCAD , etc.

Uso básico del método Add() en pyautocad

El método pyautocad Add() crea objetos miembro y los agrega a nuestro documento. En esta sección en particular, discutiré la sintaxis muy básica que se puede usar para crear objetos de esta manera. Esto es cierto para los siguientes tipos/grupos de objetos:

  • Diccionarios
  • DimStyles
  • Documentos
  • Grupos
  • Capas
  • Diseños
  • tipos de línea
  • Materiales
  • Menús emergentes
  • Aplicaciones registradas
  • SelecciónConjuntos
  • Estilos de texto
  • Barras de herramientas
  • Puntos de vista
  • ventanas gráficas

La sintaxis para crear estos objetos es muy simple:

object.Add(Name)

Por ejemplo, si queremos crear una nueva Capa, usaré la siguiente sintaxis:

acad.doc.Layers.Add(layer_name)

El mismo concepto funciona para todos los demás tipos de objetos contenidos en la lista de tipos de objetos anterior.

Aplicar el método pyautocad Add() para crear un bloque

A veces necesitamos trabajar con múltiples objetos, tratándolos como una sola unidad. En tales casos, usamos bloques.

La sintaxis de pyautocad para crear un bloque en AutoCAD es la siguiente.

object.Add(Insertion_Point, Block_Name)

Después de crear un bloque, podemos guardarlo en una variable y agregarle diferentes geometrías usando los métodos que discutí en mis publicaciones de blog anteriores.

b1 = acad.doc.Blocks.Add(ip, "Test_block_1")

l1 = b1.AddLine(APoint(100, 100, 0), APoint(350, 350, 0))
c1 = b1.AddCircle(APoint(200, 250, 0), 150)

Ahora el bloque de AutoCAD se crea como parte del documento.

Pero aún así, aún no es visible en el espacio modelo. Para usar el bloque, debo insertar el bloque recién creado en el espacio modelo. Puedo hacerlo usando el método pyautocad InsertBlock().

La sintaxis de pyautocad para aplicar el método InsertBlock() es como se muestra a continuación:

object.InsertBlock(InsertionPoint, Name , Xscale , Yscale , ZScale , Rotation , Password)

e.g.
acad.model.InsertBlock(APoint(250, 500, 0), "Test_block_1", 1, 1, 1, 0)

Puedo ver que el bloque se ha insertado con éxito en el espacio modelo.

Observaciones finales

Para obtener más publicaciones de blog que cubran la automatización de AutoCAD , consulte mis otras publicaciones de blog relacionadas con pyautocadpywin32 . Por favor, deje cualquier pregunta que pueda tener como un comentario a continuación. No dude en ponerse en contacto conmigo para cualquier asistencia técnica. Puede hacerlo utilizando nuestro formulario de contacto.

Leave a Reply

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.

Close

Meta